@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.signupMainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  position: relative;
  z-index: 1;
  height: calc(100vh - 66.5px);
}
.mainWrapper {
  padding: calc(10px + 0.5625vw);
  background-color: $cream-40;
  position: relative;
  width: 460px;
  max-width: 460px;
  margin-top: 82px;
  z-index: 999;
  @include mobile {
    width: 100%;
    position: absolute;
    bottom: 0;
    border-radius: 16px 16px 0 0;
  }
}

.bgTree {
  position: absolute;
  top: 30px;
  left: 0%;
  right: 0;
  height: 129px;
  width: 171px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;

  @include mobile {
    top: 10px;
  }
  @include tablet {
    top: 20px;
  }
}

.formWrapper {
  border: 1px solid $brown-80-30;
  padding: calc(8px + 1.5625vw) calc(12px + 0.5625vw) calc(10px + 0.5625vw);

  @include mobile {
    padding-bottom: 70px;
  }
  form {
    margin: 0 auto;
  }
  position: relative;
  .cross {
    cursor: pointer;
    position: absolute;
    top: 8px;
    right: 8px;
    img {
      width: 24px;
      border-radius: 100%;
      background-size: 100% 200%;
      background-image: linear-gradient(
        to top,
        rgb(175, 168, 168) 50%,
        transparent 50%
      );
      transition: background-position 1s;
      &:hover {
        background-position: 100% 100%;
      }
    }
  }
}

.headingWrapper {
  width: clamp(50%, 70%, 80%);
  margin: 0 auto;

  .heading {
    @include fontStyles(
      $black-100,
      'Editorial New',
      200,
      calc(30px + 0.390625vw)
    );
    text-transform: uppercase;
    margin-bottom: 0;
    text-align: center;
    margin-top: 20px;
  }
}

.smallText {
  @include fontStyles($brown-70, 'Notera', 200, calc(8px + 1.5625vw));
  text-transform: lowercase;
}

.fieldRequiredText {
  font-weight: 400;
  font-size: 12px;
  line-height: 130%;
  color: #262e2f;
  opacity: 0.7;
  margin: 14px 0 0;
  text-align: center;
}

.formInputWrapper {
  margin-bottom: calc(2px + 0.5625vw);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.warningIconWrapper {
  position: absolute;
  right: 0;
}

.formInput {
  border: none;
  border-bottom: 1px solid $black-90-20;
  width: 100%;
  background-color: transparent;
  outline: 1px solid transparent;
  padding: calc(2px + 0.390625vw) 0;
  letter-spacing: 0.5px;
  @include fontStyles($black-100, 'Manrope', 400, 1.25rem);
}

.agreementCheck {
  display: flex;
  align-items: center;
  margin-top: 36px;

  @include desktop-lg {
    margin-top: 66px;
  }

  @include mobile {
    margin-top: 36px;
  }

  p {
    text-align: left;
    font-size: 12px;
    line-height: 130%;
    opacity: 0.7;
    margin: 0;
    margin-left: 20px;
  }
}

.submitBtnWrapper {
  @include flex(center, center);
  margin-top: 16px;

  @include mobile {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
  }

  button {
    background-color: $green-100;
    color: $cream-50;
    width: 139px;

    @include mobile {
      border: none;
      border-radius: 0;
      width: 100%;
    }
  }
}

.successMsgWrapper {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  .title2 {
    @include fontStyles($cream-40, 'Editorial New', 200, 45px);
    text-transform: uppercase;
    margin-bottom: 1.5rem;
    .smallTxt {
      @include fontStyles($cream-40, 'Notera', 200, calc(10px + 1.5625vw));
      text-transform: lowercase;
    }
  }
  .successDescription {
    width: 66%;
    margin: auto;
    p {
      @include fontStyles($cream-40, 'Manrope', 400, 18px);
      line-height: 170%;
    }
  }
}

.phoneNosWrapper {
  margin-bottom: calc(8px + 0.5625vw);
  @include flex(flex-start, center);
  position: relative;
  border-bottom: 1px solid $black-90-20;
  & > * + * {
    margin-left: 1rem;
  }
  .phoneNumberInput {
    padding: 4px 0;
    border: none;
    background-color: transparent;
    font-size: 1.25rem;
    line-height: 130%;
    color: rgba$black-100;
    &::placeholder {
      color: #818180;
    }
    &:focus {
      outline: 1px solid transparent;
    }
  }
}

.formInputSection {
  display: flex;
  flex-direction: column;
  & > * + * {
    margin-top: 28px;

    @include desktop-lg {
      margin-top: 38px;
    }
  }
}

.errorText {
  @include fontStyles($red-100, 'Manrope', 400, 0.75rem);
  text-align: left;
  position: absolute;
  bottom: -40px;
  left: 0;
}

@include for-tablet-only {
  .errorText {
    margin-bottom: calc(1.375rem + 0.5625vw);
  }
  .submitBtnWrapper {
    margin-top: calc(1.5rem + 00.5625vw);
  }
  .agreementCheck p {
    font-weight: 400;
    font-size: 12px;
    line-height: 130%;
  }
}

.accountExistsText {
  margin-top: 24px;
  font-size: 0.875rem;
  span {
    color: #a68563;
    text-decoration: underline;
    cursor: pointer;
  }
}
